Public Member Functions | Private Attributes | List of all members
libcdr::CDRMoveToElement Class Reference
Inheritance diagram for libcdr::CDRMoveToElement:

## Public Member Functions
| CDRMoveToElement (double x, double y)
| ~CDRMoveToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
double | m_x
double | m_y

## Constructor & Destructor Documentation

## ◆ CDRMoveToElement()

libcdr::CDRMoveToElement::CDRMoveToElement | ( | double | x,
|  | double | y
| ) |  |
| inline

## ◆ ~CDRMoveToElement()

libcdr::CDRMoveToElement::~CDRMoveToElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

std::unique_ptr< CDRPathElement > libcdr::CDRMoveToElement::clone | ( |  | ) |
| override virtual

Implements libcdr::CDRPathElement.

## ◆ transform() [1/2]

void libcdr::CDRMoveToElement::transform | ( | const CDRTransform & | trafo | ) |
| override virtual

Implements libcdr::CDRPathElement.

## ◆ transform() [2/2]

void libcdr::CDRMoveToElement::transform | ( | const CDRTransforms & | trafos | ) |
| override virtual

Implements libcdr::CDRPathElement.

## ◆ writeOut()

void libcdr::CDRMoveToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| override virtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## ◆ m_x

double libcdr::CDRMoveToElement::m_x
| private

Referenced by clone(), transform(), and writeOut().

## ◆ m_y

double libcdr::CDRMoveToElement::m_y
| private

Referenced by clone(), transform(), and writeOut().

The documentation for this class was generated from the following file:

- CDRPath.cpp